Bug 878002 - AIO setup should fail immediately if adding host fails
AIO setup should fail immediately if adding host fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Alex Lourie
Pavel Novotny
integration
:
Depends On: 947753
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-19 07:23 EST by Alex Lourie
Modified: 2013-06-11 05:53 EDT (History)
7 users (show)

See Also:
Fixed In Version: sf-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10578 None None None Never

  None (edit)
Description Alex Lourie 2012-11-19 07:23:01 EST
Currently, the AIO setup will wait for 10 minutes to add a host, even if it fails on a 3rd minute. This should not happen, and the setup should stop immediately if host addition fails.
Comment 1 Alex Lourie 2013-01-06 05:27:41 EST
Fix posted for review: http://gerrit.ovirt.org/#/c/10578/
Comment 2 Alex Lourie 2013-02-19 03:41:59 EST
Already part of rhev-3.2
Comment 3 Pavel Novotny 2013-05-22 08:09:30 EDT
Verified in rhevm-3.2.0-10.26.rc.el6ev.noarch (sf17).

Note: Host state faked by setting it manually to 'failed' in the isHostUp() function in /usr/share/ovirt-engine/scripts/plugins/all_in_one_100.py file.

During the phase "AIO: Adding Local host..." the setup immediately failed with message "Error: Host was found in a 'Failed' state. Please check engine and bootstrap installation logs.".


Verification:
$ yum install rhevm-setup rhevm-setup-plugin-allinone
$ rhevm-setup
...
...
Installing:
AIO: Validating CPU Compatibility...                              [ DONE ]
AIO: Adding firewall rules...                                     [ DONE ]
Configuring RHEV Manager...                                       [ DONE ]
Configuring JVM...                                                [ DONE ]
Creating CA...                                                    [ DONE ]
Updating ovirt-engine service...                                  [ DONE ]
Setting Database Configuration...                                 [ DONE ]
Setting Database Security...                                      [ DONE ]
Creating Database...                                              [ DONE ]
Updating the Default Data Center Storage Type...                  [ DONE ]
Editing RHEV Manager Configuration...                             [ DONE ]
Editing Postgresql Configuration...                               [ DONE ]
Configuring the Default ISO Domain...                             [ DONE ]
Configuring Firewall...                                           [ DONE ]
Starting ovirt-engine Service...                                  [ DONE ]
Configuring HTTPD...                                              [ DONE ]
AIO: Creating storage directory...                                [ DONE ]
AIO: Adding Local Datacenter and cluster...                       [ DONE ]
AIO: Adding Local host (This may take several minutes)...      [ ERROR ]
Error: Host was found in a 'Failed' state. Please check engine and bootstrap installation logs.
Please check log file ... for more information
Comment 4 Itamar Heim 2013-06-11 05:40:21 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 05:40:28 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:53:47 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.